Debian Bug report logs - #627019
linux-image-2.6.39-rc7-686-pae: several kernel hangs before geting to login

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Will <debiandunes@yahoo.com>

Date: Tue, 17 May 2011 02:27:02 UTC

Severity: important

Tags: fixed-upstream

Merged with 630031, 631597, 632734, 649304

Found in versions 2.6.39-2, 2.6.39-3, 2.6.39~rc7-1~experimental.1, linux-2.6/3.1.6-1

Fixed in version 3.2.15-1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=38262

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debiandunes@yahoo.com, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Tue, 17 May 2011 02:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will <debiandunes@yahoo.com>:
New Bug report received and forwarded. Copy sent to debiandunes@yahoo.com, Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 17 May 2011 02:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Will <debiandunes@yahoo.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.39-rc7-686-pae: several kernel hangs before geting to login
Date: Mon, 16 May 2011 19:59:52 +0100
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Version: 2.6.39~rc7-1~experimental.1
Severity: normal
Tags: experimental

I see several segfaults and hangs during boot per each successfult login.
There are 4 or 5 different messages ( segfault, hang, error, etc) that show up consistently while the kernel is loading.
I've taken many photos but have not been able get them off my SD card yet.
Both of my card readers are initialized, but none of my SD cards are recognized when I plug them in.
My usb stick shows up so (crossing fingers) I'll be able to add fotos showing some of segfaaults, etc soon.
Attaching full dmesg with segfault starting at 
[8.755883] BUG: unable to handle kernel  NULL pointer dereference at (null)

udevd and modprobe also segfault.
which should show in fotos.

-- Package-specific info:
** Version:
Linux version 2.6.39-rc7-686-pae (Debian 2.6.39~rc7-1~experimental.1) (maks@debian.org) (gcc version 4.4.6 (Debian 4.4.6-3) ) #1 SMP Thu May 12 11:21:50 UTC 2011

** Command line:
BOOT_IMAGE=/boot/vmlinuz-2.6.39-rc7-686-pae root=UUID=9fba1255-6dc4-444c-93f8-3e8130eddc60 ro

** Tainted: D (128)
 * Kernel has oopsed before.

** Kernel log:
[    9.218914] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    9.312981] i801_smbus 0000:00:1f.3: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[    9.324682] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[    9.354580] intel_rng: Firmware space is locked read-only. If you can't or
[    9.354583] intel_rng: don't want to disable this in firmware setup, and if
[    9.354585] intel_rng: you are certain that your system has a functional
[    9.354587] intel_rng: RNG, try using the 'no_fwh_detect' option.
[    9.521119] usblp0: USB Bidirectional printer dev 2 if 0 alt 0 proto 2 vid 0x03F0 pid 0xB002
[    9.523449] usbcore: registered new interface driver usblp
[    9.542053] input: PC Speaker as /devices/platform/pcspkr/input/input4
[    9.983708] Linux video capture interface: v2.00
[   10.287418] Intel ICH 0000:00:1f.5: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[   10.289844] Intel ICH 0000:00:1f.5: setting latency timer to 64
[   10.629223] cx88/0: cx2388x v4l2 driver version 0.0.8 loaded
[   10.631810] cx8800 0000:02:02.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[   10.638475] cx88[0]: subsystem: 0070:3401, board: Hauppauge WinTV 34xxx models [card=1,autodetected], frontend(s): 0
[   10.640867] cx88[0]: TV tuner type -1, Radio tuner type -1
[   10.651427] cx2388x alsa driver version 0.0.8 loaded
[   10.724027] intel8x0_measure_ac97_clock: measured 55951 usecs (2696 samples)
[   10.726519] intel8x0: clocking to 48000
[   10.779211] IR NEC protocol handler initialized
[   10.855803] i2c-core: driver [tuner] using legacy suspend method
[   10.858432] i2c-core: driver [tuner] using legacy resume method
[   10.868641] IR RC5(x) protocol handler initialized
[   11.019253] IR RC6 protocol handler initialized
[   11.086974] IR JVC protocol handler initialized
[   11.216305] IR Sony protocol handler initialized
[   11.532828] tda9887 15-0043: creating new instance
[   11.535171] tda9887 15-0043: tda988[5/6/7] found
[   11.538233] tuner 15-0043: Tuner 74 found with type(s) Radio TV.
[   11.543925] tuner 15-0061: Tuner -1 found with type(s) Radio TV.
[   11.584508] tveeprom 15-0050: Hauppauge model 34132, rev J158, serial# 2843606
[   11.586792] tveeprom 15-0050: tuner model is Philips FM1236 MK3 (idx 58, type 43)
[   11.589280] tveeprom 15-0050: TV standards NTSC(M) (eeprom 0x08)
[   11.591612] tveeprom 15-0050: audio processor is CX880 (idx 30)
[   11.594007] tveeprom 15-0050: has radio
[   11.596383] cx88[0]: warning: unknown hauppauge model #34132
[   11.598686] cx88[0]: hauppauge eeprom: model=34132
[   11.663931] lirc_dev: IR Remote Control driver registered, major 251 
[   11.668718] IR LIRC bridge handler initialized
[   11.733497] tuner-simple 15-0061: creating new instance
[   11.736108] tuner-simple 15-0061: type set to 43 (Philips NTSC MK3 (FM1236MK3 or FM1236/F))
[   11.940036] Registered IR keymap rc-hauppauge
[   11.942765] input: cx88 IR (Hauppauge WinTV 34xxx  as /devices/pci0000:00/0000:00:1e.0/0000:02:02.0/rc/rc0/input5
[   11.945543] rc0: cx88 IR (Hauppauge WinTV 34xxx  as /devices/pci0000:00/0000:00:1e.0/0000:02:02.0/rc/rc0
[   11.948303] rc rc0: lirc_dev: driver ir-lirc-codec (cx88xx) registered at minor = 0
[   11.951873] cx88[0]/0: found at 0000:02:02.0, rev: 5, irq: 17, latency: 32, mmio: 0xfc000000
[   11.958898] cx88[0]/0: registered device video0 [v4l2]
[   11.963923] cx88[0]/0: registered device vbi0
[   11.968880] cx88[0]/0: registered device radio0
[   11.972171] cx88_audio 0000:02:02.1: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[   11.977104] cx88[0]/1: CX88x/0: ALSA support for cx2388x boards
[   15.564611] REISERFS (device sdb5): found reiserfs format "3.6" with standard journal
[   15.567285] REISERFS (device sdb5): using ordered data mode
[   15.575682] REISERFS (device sdb5): journal params: device sdb5, size 8192, journal first block 18, max trans len 1024, max batch 900, max commit age 30, max trans age 30
[   15.581412] REISERFS (device sdb5): checking transaction log (sdb5)
[   15.600678] REISERFS (device sdb5): replayed 1 transactions in 0 seconds
[   15.651665] REISERFS (device sdb5): Using r5 hash to sort names
[   15.696250] XFS (sda8): Mounting Filesystem
[   16.270069] XFS (sda8): Ending clean mount
[   17.293469] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   17.317657] e1000: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX
[   17.320131] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   27.232373] fuse init (API version 7.16)
[   27.584012] eth0: no IPv6 routers present
[   34.534314] lp: driver loaded but no devices found
[   34.577441] ppdev: user-space parallel port driver
[   34.667178] Bluetooth: Core ver 2.16
[   34.670713] NET: Registered protocol family 31
[   34.673019] Bluetooth: HCI device and connection manager initialized
[   34.675244] Bluetooth: HCI socket layer initialized
[   34.677368] Bluetooth: L2CAP socket layer initialized
[   34.679826] Bluetooth: SCO socket layer initialized
[   34.736294] Bluetooth: RFCOMM TTY layer initialized
[   34.738493] Bluetooth: RFCOMM socket layer initialized
[   34.740471] Bluetooth: RFCOMM ver 1.11
[   34.755938] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   34.758035] Bluetooth: BNEP filters: protocol multicast
[   35.981563] Netfilter messages via NETLINK v0.30.
[   36.603197] device eth0 entered promiscuous mode
[   41.206701] ip_tables: (C) 2000-2006 Netfilter Core Team
[   41.996450] ip6_tables: (C) 2000-2006 Netfilter Core Team
[   44.792054] usb 3-2: USB disconnect, device number 2
[   45.280073] usb 3-2: new low speed USB device number 3 using uhci_hcd
[   45.470978] usb 3-2: New USB device found, idVendor=045e, idProduct=0040
[   45.470985] usb 3-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[   45.470989] usb 3-2: Product: Microsoft Wheel Mouse Optical®
[   45.470993] usb 3-2: Manufacturer: Microsoft
[   45.489517] input: Microsoft Microsoft Wheel Mouse Optical® as /devices/pci0000:00/0000:00:1d.1/usb3/3-2/3-2:1.0/input/input6
[   45.489712] generic-usb 0003:045E:0040.0002: input,hidraw0: USB HID v1.00 Mouse [Microsoft Microsoft Wheel Mouse Optical®] on usb-0000:00:1d.1-2/input0
[   46.104135] usb 3-2: USB disconnect, device number 3
[   46.380039] usb 3-2: new low speed USB device number 4 using uhci_hcd
[   46.561795] usb 3-2: New USB device found, idVendor=045e, idProduct=0040
[   46.561801] usb 3-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[   46.561804] usb 3-2: Product: Microsoft Wheel Mouse Optical®
[   46.561807] usb 3-2: Manufacturer: Microsoft
[   46.580174] input: Microsoft Microsoft Wheel Mouse Optical® as /devices/pci0000:00/0000:00:1d.1/usb3/3-2/3-2:1.0/input/input7
[   46.580450] generic-usb 0003:045E:0040.0003: input,hidraw0: USB HID v1.00 Mouse [Microsoft Microsoft Wheel Mouse Optical®] on usb-0000:00:1d.1-2/input0
[   67.911946] gnome-settings-[1730]: segfault at b46f5c30 ip b46f5c30 sp bfb2312c error 4 in libdbus-1.so.3.5.5[b474a000+3c000]
[   95.659502] gnome-settings-[2035]: segfault at b4718c30 ip b4718c30 sp bf807e8c error 4 in libdbus-1.so.3.5.5[b476d000+3c000]

** Model information
not available

** Loaded modules:
Module                  Size  Used by
ip6table_filter        12492  1 
ip6_tables             17069  1 ip6table_filter
iptable_filter         12488  1 
ip_tables              16998  1 iptable_filter
ipt_ULOG               12561  1 
x_tables               17969  5 ip6table_filter,ip6_tables,iptable_filter,ip_tables,ipt_ULOG
nfnetlink_queue        12801  1 
nfnetlink              12786  2 nfnetlink_queue
bnep                   17147  2 
rfcomm                 31961  0 
bluetooth              92361  10 bnep,rfcomm
parport_pc             21895  0 
ppdev                  12621  0 
lp                     12858  0 
parport                27018  3 parport_pc,ppdev,lp
rfkill                 18510  2 bluetooth
crc16                  12327  1 bluetooth
mperf                  12387  0 
speedstep_lib          12463  0 
cpufreq_userspace      12520  0 
cpufreq_stats          12670  0 
cpufreq_powersave      12422  0 
cpufreq_conservative    12987  0 
autofs4                22558  1 
binfmt_misc            12778  1 
fuse                   55666  1 
reiserfs              178367  1 
rc_hauppauge           12382  0 
tuner_simple           16926  1 
tuner_types            12305  1 tuner_simple
ir_lirc_codec          12651  0 
lirc_dev               12797  1 ir_lirc_codec
tda9887                12573  1 
ir_sony_decoder        12403  0 
tda8290                17051  0 
ir_jvc_decoder         12401  0 
ir_rc6_decoder         12401  0 
ir_rc5_decoder         12401  0 
tuner                  17237  2 
ir_nec_decoder         12401  0 
cx88_alsa              13045  1 
cx8800                 26721  0 
cx88xx                 67340  2 cx88_alsa,cx8800
rc_core                17813  9 rc_hauppauge,ir_lirc_codec,ir_sony_decoder,ir_jvc_decoder,ir_rc6_decoder,ir_rc5_decoder,ir_nec_decoder,cx88xx
tveeprom               16473  1 cx88xx
v4l2_common            13026  3 tuner,cx8800,cx88xx
videobuf_dma_sg        12992  3 cx88_alsa,cx8800,cx88xx
snd_intel8x0           22287  2 
snd_ac97_codec         83728  1 snd_intel8x0
ac97_bus               12462  1 snd_ac97_codec
snd_pcm_oss            35864  0 
snd_mixer_oss          17649  1 snd_pcm_oss
snd_pcm                52731  4 cx88_alsa,snd_intel8x0,snd_ac97_codec,snd_pcm_oss
videodev               57130  4 tuner,cx8800,cx88xx,v4l2_common
videobuf_core          17540  3 cx8800,cx88xx,videobuf_dma_sg
snd_seq_midi           12744  0 
btcx_risc              12499  3 cx88_alsa,cx8800,cx88xx
snd_rawmidi            22407  1 snd_seq_midi
snd_seq_midi_event     13124  1 snd_seq_midi
snd_seq                39172  2 snd_seq_midi,snd_seq_midi_event
pcspkr                 12515  0 
usblp                  17083  0 
snd_timer              22171  2 snd_pcm,snd_seq
snd_seq_device         12995  3 snd_seq_midi,snd_rawmidi,snd_seq
snd                    38189  16 cx88_alsa,snd_intel8x0,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
shpchp                 26653  0 
soundcore              12878  1 snd
i2c_i801               12670  0 
snd_page_alloc         12841  2 snd_intel8x0,snd_pcm
pci_hotplug            26303  1 shpchp
tpm_infineon           12675  0 
rng_core               12550  0 
tpm                    17476  1 tpm_infineon
tpm_bios               12799  1 tpm
processor              26983  0 
evdev                  13084  0 
xfs                   528900  2 
usbhid                 35206  0 
hid                    59841  1 usbhid
usb_storage            34951  0 
uas                    12975  0 
sg                     21385  0 
sd_mod                 35060  5 
crc_t10dif             12332  1 sd_mod
sr_mod                 17418  0 
cdrom                  34631  1 sr_mod
ata_generic            12439  0 
i915                  286502  2 
drm_kms_helper         26550  1 i915
uhci_hcd               21850  0 
drm                   133286  3 i915,drm_kms_helper
i2c_algo_bit           12706  2 cx88xx,i915
ata_piix               21079  3 
libata                132100  2 ata_generic,ata_piix
ehci_hcd               34885  0 
i2c_core               19022  14 tuner_simple,tda9887,tda8290,tuner,cx8800,cx88xx,tveeprom,v4l2_common,videodev,i2c_i801,i915,drm_kms_helper,drm,i2c_algo_bit
usbcore               103321  7 usblp,usbhid,usb_storage,uas,uhci_hcd,ehci_hcd
floppy                 47893  0 
scsi_mod              134414  6 usb_storage,uas,sg,sd_mod,sr_mod,libata
e1000                  84011  0 
video                  17345  1 i915
button                 12783  1 i915
thermal_sys            17667  2 processor,video

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub Interface [8086:2570] (rev 02)
	Subsystem: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub Interface [8086:2570]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at e0000000 (32-bit, prefetchable) [size=256M]
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller [0300]: Intel Corporation 82865G Integrated Graphics Controller [8086:2572] (rev 02) (prog-if 00 [VGA controller])
	Subsystem: Intel Corporation Device [8086:5248]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
	Region 1: Memory at feb80000 (32-bit, non-prefetchable) [size=512K]
	Region 2: I/O ports at ec00 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:03.0 PCI bridge [0604]: Intel Corporation 82865G/PE/P PCI to CSA Bridge [8086:2573] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000b000-0000bfff
	Memory behind bridge: fa900000-fa9fffff
	Secondary status: 66MHz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

00:06.0 System peripheral [0880]: Intel Corporation 82865G/PE/P Processor to I/O Memory Interface [8086:2576] (rev 02)
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Region 0: Memory at fecf0000 (32-bit, non-prefetchable) [size=4K]

00:1d.0 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1 [8086:24d2] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:5248]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 4: I/O ports at c800 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2 [8086:24d4] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:5248]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at cc00 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3 [8086:24d7] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:5248]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at d000 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.3 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4 [8086:24de] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Device [8086:5248]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 4: I/O ports at d400 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller [8086:24dd] (rev 02) (prog-if 20 [EHCI])
	Subsystem: Intel Corporation Device [8086:5248]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 23
	Region 0: Memory at feb7fc00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev c2) (prog-if 00 [Normal decode])
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=32
	Memory behind bridge: faa00000-fe9fffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr+ DiscTmrStat- DiscTmrSERREn-

00:1f.0 ISA bridge [0601]: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge [8086:24d0] (rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:1f.1 IDE interface [0101]: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller [8086:24db] (rev 02) (prog-if 8a [Master SecP PriP])
	Subsystem: Intel Corporation Device [8086:5248]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 18
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at ffa0 [size=16]
	Region 5: Memory at 40000000 (32-bit, non-prefetchable) [size=1K]
	Kernel driver in use: ata_piix

00:1f.2 IDE interface [0101]: Intel Corporation 82801EB (ICH5) SATA Controller [8086:24d1] (rev 02) (prog-if 8f [Master SecP SecO PriP PriO])
	Subsystem: Intel Corporation Device [8086:5248]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 18
	Region 0: I/O ports at e800 [size=8]
	Region 1: I/O ports at e400 [size=4]
	Region 2: I/O ports at e000 [size=8]
	Region 3: I/O ports at dc00 [size=4]
	Region 4: I/O ports at d800 [size=16]
	Kernel driver in use: ata_piix

00:1f.3 SMBus [0c05]: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller [8086:24d3] (rev 02)
	Subsystem: Intel Corporation Device [8086:5248]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 17
	Region 4: I/O ports at c400 [size=32]
	Kernel driver in use: i801_smbus

00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller [8086:24d5] (rev 02)
	Subsystem: Intel Corporation Device [8086:e00a]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 17
	Region 2: Memory at feb7f800 (32-bit, non-prefetchable) [size=512]
	Region 3: Memory at feb7f400 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: Intel ICH

01:01.0 Ethernet controller [0200]: Intel Corporation 82547EI Gigabit Ethernet Controller [8086:1019]
	Subsystem: Intel Corporation Device [8086:3046]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
	Latency: 0 (63750ns min), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at fa9e0000 (32-bit, non-prefetchable) [size=128K]
	Region 2: I/O ports at bc00 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: e1000

02:02.0 Multimedia video controller [0400]: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [14f1:8800] (rev 05)
	Subsystem: Hauppauge computer works Inc. Hauppauge WinTV 34xxx models [0070:3401]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (5000ns min, 13750ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at fc000000 (32-bit, non-prefetchable) [size=16M]
	Capabilities: <access denied>
	Kernel driver in use: cx8800

02:02.1 Multimedia controller [0480]: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [Audio Port] [14f1:8801] (rev 05)
	Subsystem: Hauppauge computer works Inc. Device [0070:3401]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (1000ns min, 63750ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
	Capabilities: <access denied>
	Kernel driver in use: cx88_audio


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 002: ID 03f0:b002 Hewlett-Packard PhotoSmart 7200 series
Bus 003 Device 004: ID 045e:0040 Microsoft Corp. Wheel Mouse Optical


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.39-rc7-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.39-rc7-686-pae depends on:
ii  debconf [debconf-2.0]         1.5.39     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.99       tools for generating an initramfs
ii  linux-base                    3.2        Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.39-rc7-686-pae recommends:
ii  firmware-linux-free           3          Binary firmware for various driver
ii  libc6-i686                    2.13-4     Embedded GNU C Library: Shared lib

Versions of packages linux-image-2.6.39-rc7-686-pae suggests:
ii  grub-pc                      1.99~rc1-13 GRand Unified Bootloader, version 
pn  linux-doc-2.6.39             <none>      (no description available)

Versions of packages linux-image-2.6.39-rc7-686-pae is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
ii  firmware-linux-nonfree        0.29       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.39-rc7-686-pae/postinst/missing-firmware-2.6.39-rc7-686-pae:
  linux-image-2.6.39-rc7-686-pae/postinst/ignoring-do-bootloader-2.6.39-rc7-686-pae:
  linux-image-2.6.39-rc7-686-pae/prerm/removing-running-kernel-2.6.39-rc7-686-pae: true
  linux-image-2.6.39-rc7-686-pae/postinst/depmod-error-initrd-2.6.39-rc7-686-pae: false
[dmesg-oops (text/x-c++, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Tue, 17 May 2011 02:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Set <debiandunes@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 17 May 2011 02:51:04 GMT) Full text and rfc822 format available.

Message #10 received at 627019@bugs.debian.org (full text, mbox):

From: Will Set <debiandunes@yahoo.com>
To: 627019@bugs.debian.org
Subject: boot message fotos attached
Date: Mon, 16 May 2011 19:49:08 -0700 (PDT)
[Message part 1 (text/plain, inline)]
I am seeing 5 or 6 unsuccessful boot attempts per each complete boot where I can 
login.
Each unsuccessful boot attempt shows typcially one or two segfaults, hangs, etc.

attached 5 fotos taken today
[1.jpg (image/jpeg, attachment)]
[2.jpg (image/jpeg, attachment)]
[3.jpg (image/jpeg, attachment)]
[4.jpg (image/jpeg, attachment)]
[5.jpg (image/jpeg, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Tue, 24 May 2011 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Set <debiandunes@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 24 May 2011 14:57:04 GMT) Full text and rfc822 format available.

Message #15 received at 627019@bugs.debian.org (full text, mbox):

From: Will Set <debiandunes@yahoo.com>
To: 627019@bugs.debian.org
Cc: debian-kernel@lists.debian.org
Subject: re:627019 39 steadily improving on i865 chipset
Date: Tue, 24 May 2011 07:52:14 -0700 (PDT)
After upgrading to 2.6.39-1-686-pae  I have fewer boot attempts hanging.
Usually one or two before a successful boot.
It appears that if I downgrade udev one version (udev_169-1) 
I get better results (at least with today set of packages).

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=627019

I've also noticed that the 2 i865 chipset machines are much more
sensitive to booting the 39 kernels than the i915 chipset machine.
The i915 machine was booting 39 consistently with 39-rc6 and beyond, 




Information forwarded to debian-bugs-dist@lists.debian.org, debiandunes@yahoo.com, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Fri, 15 Jul 2011 17:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will <debiandunes@yahoo.com>:
Extra info received and forwarded to list. Copy sent to debiandunes@yahoo.com, Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Jul 2011 17:27:10 GMT) Full text and rfc822 format available.

Message #20 received at 627019@bugs.debian.org (full text, mbox):

From: Will <debiandunes@yahoo.com>
To: Debian Bug Tracking System <627019@bugs.debian.org>
Subject: linux-2.6: linux-image-3.0.0-rc6-686-pae using debug=3 on the kernel commandline
Date: Fri, 15 Jul 2011 09:24:10 -0400
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Followup-For: Bug #627019

linux-image-3.0.0-rc6-686-pae
If I add debug=3 to the kenrnel commandline I'm able to boot about 90% of the time.
Instead of 5 or 6 different types of fatal kernel errors I now see only one type of kernel panic
about 10% of the time.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-rc6-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[3-symbols (text/x-c++, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Wed, 31 Aug 2011 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Set <debiandunes@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 31 Aug 2011 17:27:03 GMT) Full text and rfc822 format available.

Message #25 received at 627019@bugs.debian.org (full text, mbox):

From: Will Set <debiandunes@yahoo.com>
To: "wzab@ise.pw.edu.pl" <wzab@ise.pw.edu.pl>, 627019@bugs.debian.org
Subject: Re: Bug#632734: 627019:
Date: Wed, 31 Aug 2011 10:22:40 -0700 (PDT)
  Tuesday, August 30, 2011 5:59 PM wzab <wzab@ise.pw.edu.pl> wrote:


> I found this bug, when I was looking for solution for my problem related to the 
> newest kernels and a machine based on D865GBF motherboard.
I have  two i865 mobos D865GRH, D865PERLK that both have trouble booting 2.6.39 and 3.0.0 kernels
> I was striked by the fact, that problem reported here occured in a machine with 
> the same motherboard and the newest kernel.
> 
> My problem (machine not starting when HT is on) is reported as Debian bug 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=631597 and was later redirected 
> to https://bugzilla.kernel.org/show_bug.cgi?id=38262

Yes
Len Brown suggested workaround
processor.nocst=1
is working for me so far too..

Will
> 
> Maybe these two problems are correlated?
> (The same applies also to Debian bug 630031 )
> -- Regards,
> WZab





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Wed, 31 Aug 2011 17:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Set <debiandunes@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 31 Aug 2011 17:57:07 GMT) Full text and rfc822 format available.

Message #30 received at 627019@bugs.debian.org (full text, mbox):

From: Will Set <debiandunes@yahoo.com>
To: "627019@bugs.debian.org" <627019@bugs.debian.org>
Cc: "wzab@ise.pw.edu.pl" <wzab@ise.pw.edu.pl>, "631597@bugs.debian.org" <631597@bugs.debian.org>
Subject: Re: Bug#632734: 627019:
Date: Wed, 31 Aug 2011 10:52:24 -0700 (PDT)
 Wednesday, August 31, 2011 1:22 PM  Will Set <debiandunes@yahoo.com> wrote:

>

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=627019

> I have  two i865 mobos D865GRH, D865PERLK that both have trouble booting 2.6.39 
> and 3.0.0 kernels

> Yes
> Len Brown suggested workaround

https://bugzilla.redhat.com/show_bug.cgi?id=727865#c16

> processor.nocst=1
> is working for me so far too..
> 
> Will




Removed tag(s) experimental. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 14 Nov 2011 22:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Tue, 15 Nov 2011 08:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 15 Nov 2011 08:15:04 GMT) Full text and rfc822 format available.

Message #37 received at 627019@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Will <debiandunes@yahoo.com>
Cc: 627019@bugs.debian.org
Subject: Re: several kernel hangs before geting to login
Date: Tue, 15 Nov 2011 02:10:58 -0600
Hi,

Will Set wrote:

> I see several segfaults and hangs during boot per each successfult login.

By private email, you said:

 - you have tested some 3.1.0-1-686-pae kernel (I assume
   3.1.0-1~experimental.1 from experimental).
 - unless you add "processor.nocst=1", it reliably hangs at boot time.
 - adding "processor.nocst=1" makes it boot without hanging.
 - in addition to this machine, you have another machine that has an
   i865 chipset.  It produces the same symptoms.
 - in addition, you have a machine with an i915 chipset, which works
   fine, with no need for special boot parameters.

In the bug log, I see:

 - this is an Acer Aspire One AO521, board JV01-NL, BIOS v1.08
 - the chipset is indeed an 82865G
 - oopses are all over the place.  Feels like corruption somewhere.
 - with debug=3, we see that the DMI says this is board D865GRH, BIOS
   BF86510A.86A.0077.P25.0508040031 --- wait, are these even the same
   machine?
 - the other i865 is D865PERLK.

Ok.  The processor.nocst=1 workaround indicates that the ACPI tables
might be incorrect or being incorrectly parsed.  For the D865GBF, such
a problem is being tracked as bug#630031 and upstream bug 38262.
Compare v2.6.22-rc1~1112^2^2 (ACPICA: clear fields reserved before
FADT r3, 2007-04-28).  To move forward on that, the right thing to do
would be to get in touch with Len Brown, for example by answering his
questions from the Fedora bugtracker at
<https://bugzilla.redhat.com/show_bug.cgi?id=727865>.

For the D865PERLK, a quick web search does not show anyone but you
having this problem.

You've said you have three boards you're checking with and only two
exhibit the problem.  I'm not sure where the JV01-NL fits into the
picture.

Anyway, for the future, it would be way less confusing to have one bug
per machine, unless they are identically configured or we can be
reasonably certain for some other reason that the same fix will apply
to all of them.  Please provide a summary of which machines that you
use are affected and not affected, and I can clone this bug and let
you know the bug number assigned to each.

Thanks for your help and patience.

Regards,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Tue, 15 Nov 2011 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Set <debiandunes@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 15 Nov 2011 11:21:05 GMT) Full text and rfc822 format available.

Message #42 received at 627019@bugs.debian.org (full text, mbox):

From: Will Set <debiandunes@yahoo.com>
To: Jonathan Nieder <jrnieder@gmail.com>, "627019@bugs.debian.org" <627019@bugs.debian.org>
Cc: "627019@bugs.debian.org" <627019@bugs.debian.org>
Subject: Re: Bug#627019: several kernel hangs before geting to login
Date: Tue, 15 Nov 2011 03:16:11 -0800 (PST)
[Message part 1 (text/plain, inline)]
Tuesday, November 15, 2011 3:10AM Jonathan Nieder wrote:
>
>Hi,
>
>Will Set
 wrote:
>
>- you have tested some 3.1.0-1-686-pae kernel (I assume
>   3.1.0-1~experimental.1 from experimental).

Yes, 3.1.0-1~experimental.1 from experimental 

>- unless you add "processor.nocst=1", it reliably hangs at boot time.
>- adding "processor.nocst=1" makes it boot without hanging.
>- in addition to this machine, you have another machine that has an
>   i865 chipset.  It produces the same symptoms.
>- in addition, you have a machine with an i915 chipset, which works
>   fine, with no need for special boot parameters.

Yes.

>
>In the bug log, I see:
>
>- this is an Acer Aspire One AO521, board JV01-NL, BIOS v1.08
>- the chipset is indeed an 82865G
>- oopses are all over the place.  Feels like corruption somewhere.
>- with debug=3, we see that the DMI
 says this is board D865GRH, BIOS
>   BF86510A.86A.0077.P25.0508040031 --- wait, are these even the same
>   machine?
>- the other i865 is D865PERLK.

What I have gathered so far from reading docs and reports
 it looks like a C state problem.
I think there isn't a CST in this processor... 
If CST adjusts processor voltage and stepping for energy saving when idle? 
I;m thinking legacy FADT is all this chip can use..

It's not a big deal for me to use the workaround Len Brown suggested
https://bugzilla.redhat.com/show_bug.cgi?id=727865#c16
for 2.6.38-rc  and newer kernels. --->
Debian stable / 2.6.32-5-686 kernel still works fine.
 
And I'm still OK if it's an upstream ( will not fix issue).
But I would like a fix as well, if one is possible.      

>
>Ok.  The processor.nocst=1 workaround indicates that the ACPI
 tables
>might be incorrect or being incorrectly parsed.  For the D865GBF, such
>a problem is being tracked as bug#630031 and upstream bug 38262.
>Compare v2.6.22-rc1~1112^2^2 (ACPICA: clear fields reserved before
>FADT r3, 2007-04-28).  To move forward on that, the right thing to do
>would be to get in touch with Len Brown, for example by answering his
>questions from the Fedora bugtracker at
><https://bugzilla.redhat.com/show_bug.cgi?id=727865>.

All my answers to  Len Browns questions are identical to
Adam 's  https://bugzilla.redhat.com/show_bug.cgi?id=727865#c17
answers to Len Browns questions.

$ grep . /sys/devices/system/cpu/cpu0/cpuidle/*/*  -->  doesn't exist.
$/sys/firmware/acpi/tables/dynamic/* -->  doesn't exist in the filesystem.

>
>For the D865PERLK, a quick web search does not show anyone but you
>having this problem.
>
>You've said you have three boards you're checking with and only two
>exhibit the problem.  I'm not sure where the JV01-NL fits into the
>picture.

 I'm not sure how the JV01-NL got into the picture either.

>
>Anyway, for the future, it would be way less confusing to have one bug
>per machine, 

Yes, I agree 100%

>unless they are identically configured or we can
 be
>reasonably certain for some other reason that the
 same fix will apply
>to all of them.  

Yes,  at this preliminary stage, I think the issue is exactly the same, 
or at least close enough, on my two Intel 865 chipset machines.

Even though the two mobos are not identical,  
the processors, memory and disks  are identical in both machines.

>Please provide a summary of which machines that you
>use are affected and not affected, and I can clone this bug and let
>you know the bug number assigned to each.

I will file a separate bug report from the other machine.

>
>Thanks for your help and patience.
>
>Regards,
>Jonathan

Best Regards,
Will
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Tue, 15 Nov 2011 11:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Set <debiandunes@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 15 Nov 2011 11:21:13 GMT) Full text and rfc822 format available.

Forcibly Merged 627019 649304. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 19 Nov 2011 19:36:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Fri, 16 Dec 2011 23:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Set <debiandunes@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 16 Dec 2011 23:54:03 GMT) Full text and rfc822 format available.

Message #54 received at 627019@bugs.debian.org (full text, mbox):

From: Will Set <debiandunes@yahoo.com>
To: "627019@bugs.debian.org" <627019@bugs.debian.org>
Subject: 3.2.0-rc4-686-pae - removed kernel boot options
Date: Fri, 16 Dec 2011 15:51:00 -0800 (PST)
[Message part 1 (text/plain, inline)]


3.2.0-rc4-686-pae 

is booting without any kernel boot options,  on the kernel commandline.

 I still get  occasional panic


4 attachments :

dmesg
acpidump
procacpiwakeup

:are from this current session. 

+     /var/log/syslog



best regards,
Will
[Message part 2 (text/html, inline)]
[dmesg (application/octet-stream, attachment)]
[acpidump (application/octet-stream, attachment)]
[procacpiwakeup (application/octet-stream, attachment)]
[syslog (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Wed, 21 Dec 2011 21:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Set <debiandunes@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 21 Dec 2011 21:36:04 GMT) Full text and rfc822 format available.

Message #59 received at 627019@bugs.debian.org (full text, mbox):

From: Will Set <debiandunes@yahoo.com>
To: "627019@bugs.debian.org" <627019@bugs.debian.org>
Subject: udev and libudev0 175-3 makes unbootable
Date: Wed, 21 Dec 2011 13:31:49 -0800 (PST)
[Message part 1 (text/plain, inline)]
After full upgrade I'm no longer able to boot 3.2.0-rc4-686-pae unless I add 

processor.nocst=1 to the kernel commandline.

After downgrading udev and libudev0 from version 175-3 to version 175-2
I'm now able to boot 3.2.0-rc4-686-pae with no options added to the kernel commandline.
Again, there is still "none fatal udev segfault:
[    6.328120] udevd[331]: segfault at c118bd8f ip c118bd8f sp f6e1be38 error 5


and "kworker processor terminated" right after udev segfaulted, 
on this booted system I'm using now.


but the system is functional enough to use.

[ sorry, I'm not able to save the "kworker processor terminated" message yet]
Will
[Message part 2 (text/html, inline)]
[acpidump.udev (application/octet-stream, attachment)]
[dmesg.udev (application/octet-stream, attachment)]
[messages.udev (application/octet-stream, attachment)]
[boot.udev (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Fri, 23 Dec 2011 04:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Set <debiandunes@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 23 Dec 2011 04:00:04 GMT) Full text and rfc822 format available.

Message #64 received at 627019@bugs.debian.org (full text, mbox):

From: Will Set <debiandunes@yahoo.com>
To: "627019@bugs.debian.org" <627019@bugs.debian.org>
Subject: 3.2.0-rc4-686-pae boot message photos
Date: Thu, 22 Dec 2011 19:57:02 -0800 (PST)
[Message part 1 (text/plain, inline)]
I was able to take three pictures of the boot messages by scrolling up the 

boot buffer from the login prompt, while booting 3.2.0-rc4-686-pae
to illustrate what I did my best to explain yesterday.

I'll also attach the dmesg.udev-2 and acpidump-udev-2 


Today, I upgraded all unstable packages except 

udev and libudev0 which I'm holding at version 175-2.

And I ran update-initramfs -uk 3.2.0-rc4-686-pae just to be on the safe side.


These pictures were taken while booting up this session I'm currently running.
[    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.2.0-rc4-686-pae root=UUID=92d4094e-c95b-4894-afaa-f4d8881bdf5d ro

Hoping this is useful in some way.

Will
[Message part 2 (text/html, inline)]
[Image1395.jpg (image/jpeg, attachment)]
[Image1397.jpg (image/jpeg, attachment)]
[Image1396.jpg (image/jpeg, attachment)]
[dmesg-udev-2 (application/octet-stream, attachment)]
[acpidump.udev-2 (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Fri, 23 Dec 2011 23:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 23 Dec 2011 23:57:03 GMT) Full text and rfc822 format available.

Message #69 received at 627019@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Will Set <debiandunes@yahoo.com>
Cc: 627019@bugs.debian.org
Subject: Re: several kernel hangs before geting to login
Date: Fri, 23 Dec 2011 17:54:49 -0600
Hi Will,

Will Set wrote:

> I was able to take three pictures of the boot messages by scrolling up the 
> boot buffer from the login prompt, while booting 3.2.0-rc4-686-pae
> to illustrate what I did my best to explain yesterday.
>
> I'll also attach the dmesg.udev-2 and acpidump-udev-2 

Thanks.

If I understand you correctly, udev 175-2 segfaults at boot.  udev
175-3 does _not_ segfault, but the boot fails in some way unless you
add processor.nocst=1 to the kernel command line.  Which is already
weird, since the only advertised changes in 175-3 were a fix to the
systemd service file and a fix to udev rules for Xen support.  Based
on the kernel log you sent, you are not using systemd, and I assume
you're not using Xen.

This is on the machine with a D865GBF motherboard.

Anyway, you were able to take advantage of this situation to get an acpidump.

Are these results reproducible?

Hope that helps,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Sat, 24 Dec 2011 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Set <debiandunes@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 24 Dec 2011 22:57:03 GMT) Full text and rfc822 format available.

Message #74 received at 627019@bugs.debian.org (full text, mbox):

From: Will Set <debiandunes@yahoo.com>
To: Jonathan Nieder <jrnieder@gmail.com>, "627019@bugs.debian.org" <627019@bugs.debian.org>
Cc: "627019@bugs.debian.org" <627019@bugs.debian.org>
Subject: Re: Bug#627019: several kernel hangs before geting to login
Date: Sat, 24 Dec 2011 14:55:06 -0800 (PST)
[Message part 1 (text/plain, inline)]


  Friday, December 23, 2011 6:54 PMJonathan Nieder wrote
>Hi Will,
>
>Will Set wrote:
>
>> I was able to take three pictures of the boot messages by scrolling up the 
>> boot buffer from the login prompt, while booting 3.2.0-rc4-686-pae
>> to illustrate what I did my best to explain yesterday.
>>
>> I'll also attach the dmesg.udev-2 and acpidump-udev-2 
>
>Thanks.
>
>If I understand you correctly, udev 175-2 segfaults at boot.

No, Not always a segfault.

Sometimes udev just hangs, leaving the machine without keyboard access.
And it's way to early in the boot process to get normal network connectivity,

Other times the kernel will panic.
And when the kernel panics I'm not able to save any data from the boot buffer 
other than the screen full of data showing when the boot buffer finishes 
sending the trace data to the buffer.

Boot also fails in at least one other way.
Where I can see a "udev settle" message and  messages showing the /sys directory structure.
But when this type of issue happens I am able to login and run the system console.
But, if I start the xserver under these condition I have no keyboard or mouse.

These failures have not changed much since I initially reported this.
But I have seen the failures so may times now that I'm a bit less confused by them.


> udev 175-3 does _not_ segfault, 

No, udev 175-3 also segaults iirc
but I have not "re - upgraded" udev to 175-3 to test exactly what it shows, yet.

>but the boot fails in some way unless you
>add processor.nocst=1 to the kernel command line.  

Yes, 
Adding processor.nocst=1 has always worked for me on all effected kernels I've tested so far.

But, the boot fails consistently when using udev 175-3  unstable with 3.2.0-rc4-686-pae 
and without processor.nocst=1 added to the boot command. 

>Which is already
>weird, since the only advertised changes in 175-3 were a fix to the
>systemd service file and a fix to udev rules for Xen support.  Based
>on the kernel log you sent, you are not using systemd, and I assume
>you're not using Xen.

Please understand that a failed boot, appears - at least from what I can see here, 
always to have something to do with udev.

>
>This is on the machine with a D865GBF motherboard.

No,
This report is and always will be  Intel D865GRH mobo.
My other mobo is an Intel D865PERLK

There is another Debian user that has an Intel D865GBF mobo  
with a  "very" similar debian bug report filed.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=631597

[    9.132009] Pid: 311, comm: modprobe Tainted: G      D
2.6.39-2-686-pae #1                  /D865GBF

And this user has also filed a bug report upstream after Ben requested he do so.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=631597#15

>
>Anyway, you were able to take advantage of this situation to get an acpidump.
>
>Are these results reproducible?

Yes, But, the fail is not consistently one failure.
I had three failed boot attempts today while testing with a clean kernel commandline.
ie: processor.nocst=1 was not added to the commandline. on any of my 4 boot attempts today.
The fourth time the machine booted to a useable state.

>

I hope you can find some clues in this email that will make this issue less weird to understand.
And as always I'll do my best to get timely responses back to you, even though I have been busy 
elsewhere recently.
I've not had my usual amount of time to devote to testing and learning about the kernel.

Best Regards,
Will

>Hope that helps,
>Jonathan
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Sat, 24 Dec 2011 22:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Set <debiandunes@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 24 Dec 2011 22:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Sun, 25 Dec 2011 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 25 Dec 2011 09:27:04 GMT) Full text and rfc822 format available.

Message #84 received at 627019@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Will Set <debiandunes@yahoo.com>
Cc: 627019@bugs.debian.org
Subject: Re: several kernel hangs before geting to login
Date: Sun, 25 Dec 2011 03:24:59 -0600
Will Set wrote:
> Jonathan Nieder wrote

>> but the boot fails in some way unless you
>> add processor.nocst=1 to the kernel command line.  
>
> Yes, 
> Adding processor.nocst=1 has always worked for me on all effected kernels I've tested so far.
[...]
>> This is on the machine with a D865GBF motherboard.
>
> No,
> This report is and always will be  Intel D865GRH mobo.

Sorry for the typo, and thanks for the corrections.

Excellent --- I suspect that udev is actually a red herring and that
_any_ code executed during the early boot process is likely to
misbehave or segfault on this machine unless processor.nocst=1 is
passed.

In other words, this looks like incorrect execution or memory
corruption during boot.  Which is consistent with a broken _CST table.

Unfortunately the acpidump you sent does not include a _CST table.
The log you sent does not include any complaints about lack of a _CST
table, though.  Puzzling.

I recommend keeping processor.nocst=1 on the kernel command line for
now.  We should report this upstream to Len Brown and the
linux-acpi@vger.kernel.org list, but I would like to delay that until
after the holidays to avoid overwhelming them.

> There is another Debian user that has an Intel D865GBF mobo  
> with a  "very" similar debian bug report filed.
>
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=631597

Does disabling hyperthreading in the BIOS avoid trouble for you, too?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Mon, 26 Dec 2011 22:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Set <debiandunes@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 26 Dec 2011 22:27:06 GMT) Full text and rfc822 format available.

Message #89 received at 627019@bugs.debian.org (full text, mbox):

From: Will Set <debiandunes@yahoo.com>
To: Jonathan Nieder <jrnieder@gmail.com>, "627019@bugs.debian.org" <627019@bugs.debian.org>
Cc: "627019@bugs.debian.org" <627019@bugs.debian.org>
Subject: Re: Bug#627019: several kernel hangs before geting to login
Date: Mon, 26 Dec 2011 14:24:56 -0800 (PST)
[Message part 1 (text/plain, inline)]


Sunday, December 25, 2011 4:24 AM Jonathan Nieder wrote:
>Will Set wrote:
>> Jonathan Nieder wrote
>
>>> but the boot fails in some way unless you
>>> add processor.nocst=1 to the kernel command line.  
>>
>> Yes, 
>> Adding processor.nocst=1 has always worked for me on all effected kernels I've tested so far.
>[...]
>>> This is on the machine with a D865GBF motherboard.
>>
>> No,
>> This report is and always will be  Intel D865GRH mobo.
>
>Sorry for the typo, and thanks for the corrections.
>
>Excellent --- I suspect that udev is actually a red herring and that
>_any_ code executed during the early boot process is likely to
>misbehave or segfault on this machine unless processor.nocst=1 is
>passed.
>
>In other words, this looks like incorrect execution or memory
>corruption during boot.  Which is consistent with a broken _CST table.
>
>Unfortunately the acpidump you sent does not include a _CST table.
>The log you sent does not include any complaints about lack of a _CST
>table, though.  Puzzling.
>
>I recommend keeping processor.nocst=1 on the kernel command line for
>now.  We should report this upstream to Len Brown and the
>linux-acpi@vger.kernel.org list, but I would like to delay that until
>after the holidays to avoid overwhelming them.
>
>> There is another Debian user that has an Intel D865GBF mobo  
>> with a  "very" similar debian bug report filed.
>>
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=631597
>
>Does disabling hyperthreading in the BIOS avoid trouble for you, too?

Yes, when I disable hyperthreading in the BIOS the machine boots normally.

Please take my findings today with a grain of salt, because of my testing methods used.
I had to test using  3.1.0-1-686-pae 
( which I believe is an old experiemtnal kernel and not a sid or wheezy kernel)
I rebooted 3.1.0-1-686-pae 10 times with hyperthreading enabled,
and got 10 different dmesg problems  very near if not exactly while 
udev was populating /dev
So, I than disabled hyperthreading in the BIOS and rebooted 4 or 5 times.
With hyperthreading disabled I still see a 30 second timeout :

 [    7.014167] snd_intel8x0 0000:00:1f.5: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[    7.016968] snd_intel8x0 0000:00:1f.5: setting latency timer to 64
[    7.476075] intel8x0_measure_ac97_clock: measured 54401 usecs (2621 samples)
[    7.478973] intel8x0: clocking to 48000

here while udev finishes populating /dev

But, the boot looks normal to me and I'm using it in this xsession with hyperthreading disabled.

Best Regards,
Will

attachments: 
dmesg.hyper
acpidump.hyper

ps: 3.2.0-rc4-686-pae has been remarkably, consistently booting both yesterday and today with any udev
{udev and libudev0 175-1}, {udev and libudev0175-2} and {udev and libudev0 175-3} 

I'm also holding off upgrading the 20 packages waiting in the sid upgrade queue, 
until I understand a bit better what I'm looking at in the system today.
[Message part 2 (text/html, inline)]
[acpidump.hyper (application/octet-stream, attachment)]
[dmesg.hyper (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Mon, 26 Dec 2011 22:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Set <debiandunes@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 26 Dec 2011 22:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Mon, 26 Dec 2011 22:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Set <debiandunes@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 26 Dec 2011 22:36:03 GMT) Full text and rfc822 format available.

Message #99 received at 627019@bugs.debian.org (full text, mbox):

From: Will Set <debiandunes@yahoo.com>
To: Jonathan Nieder <jrnieder@gmail.com>, "627019@bugs.debian.org" <627019@bugs.debian.org>
Subject: Re: Bug#627019: several kernel hangs before geting to login
Date: Mon, 26 Dec 2011 14:33:49 -0800 (PST)
[Message part 1 (text/plain, inline)]

  

Monday, December 26, 2011 5:24 PMWill Set wrote:

>Sunday, December 25, 2011 4:24 AM Jonathan Nieder wrote:
>>Will Set wrote:
>>> Jonathan Nieder wrote
>>
>>>> but the boot fails in some way unless you
>>>> add processor.nocst=1 to the kernel command line.  
[...]

>I had to test using  3.1.0-1-686-pae 
>( which I believe is an old experiemtnal kernel and not a sid or wheezy kernel)

ooops : sorry for confusion: 3.1.0-1-686-pae is a sid kernel.

>I rebooted 3.1.0-1-686-pae 10 times with hyperthreading enabled,
>and got 10 different dmesg problems  very
 near if not exactly while 
>udev was populating /dev
>
Best Regards,
Will
[Message part 2 (text/html, inline)]

Severity set to 'important' from 'normal' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 01 Jan 2012 08:30:04 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/3.1.6-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 01 Jan 2012 08:30:06 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=38262'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 01 Jan 2012 08:30:09 GMT) Full text and rfc822 format available.

Merged 627019 630031 631597 632734 649304. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 01 Jan 2012 08:30:11 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 26 Mar 2012 16:36:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627019; Package linux-2.6. (Tue, 24 Apr 2012 12:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Set <debiandunes@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 24 Apr 2012 12:57:14 GMT) Full text and rfc822 format available.

Message #114 received at 627019@bugs.debian.org (full text, mbox):

From: Will Set <debiandunes@yahoo.com>
To: "627019@bugs.debian.org" <627019@bugs.debian.org>
Subject: Re: Bug#627019: linux-image-2.6.39-rc7-686-pae: several kernel hangs before geting to login
Date: Tue, 24 Apr 2012 05:55:45 -0700 (PDT)
[Message part 1 (text/plain, inline)]
3.2.15 fixed for me.
[Message part 2 (text/html, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Jul 2012 07:35:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:42:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.